Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.managedBeans
Class ClientsBean

    java.lang.Object
      vut.msa.managedBeans.ClientsBean

All Implemented Interfaces:
  java.io.Serializable

    public class ClientsBean

extends java.lang.Object
implements java.io.Serializable

Trieda typu JavaBean, ktora poskytuje rozhranie pre pracu s objektom Client (zalohovaci klient) pomocou JSF stranky.

See Also:
  Serialized Form

Constructor Summary
`ClientsBean()`

Method Summary
`void` | `addClient(javax.faces.event.ActionEvent event)` Metoda vytvori noveho zalohovacieho klienta a ulozi do databazy.
`Client` | `getClient()`
`java.util.List<Client>` | `getClients()`
`java.util.List<javax.faces.model.SelectItem>` | `getClientsToSelectList()`
`int` | `getSelectedClient()`
`java.util.List<Backup>` | `getSelectedClientBackups()`
`java.lang.String` | `getSelectedDisk()`
`boolean` | `isActive()`
`void` | `selectListener(javax.faces.event.ValueChangeEvent event)`
`void` | `setClient(Client client)`
`void` | `setSelectedClient(int selectedClient)`
`void` | `setSelectedDisk(java.lang.String selectedDisk)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientsBean

    public ClientsBean()

Method Detail

### getClients

    public java.util.List<Client> getClients()

### isActive

    public boolean isActive()

### getClient

    public Client getClient()

### setClient

    public void setClient(Client client)

### getSelectedClient

    public int getSelectedClient()

### setSelectedClient

    public void setSelectedClient(int selectedClient)

### getSelectedDisk

    public java.lang.String getSelectedDisk()

### setSelectedDisk

    public void setSelectedDisk(java.lang.String selectedDisk)

### getSelectedClientBackups

    public java.util.List<Backup> getSelectedClientBackups()

### getClientsToSelectList

    public java.util.List<javax.faces.model.SelectItem> getClientsToSelectList()

### addClient

    public void addClient(javax.faces.event.ActionEvent event)

  Metoda vytvori noveho zalohovacieho klienta a ulozi do databazy. Informacie su nacitane z formulara. Tato metoda je zavolana po stlaceni tlacidla pre vytvorenie klienta.

  Parameters:
    `event` - udalost stlacenia tlacidla pre vytvorenie klienta na JSF stranke

### selectListener

    public void selectListener(javax.faces.event.ValueChangeEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD